@import "_breakpoints"; //for responsive related break points
@import "_buttons"; // for Buttons
@import "_config"; //site related UI config
@import "_fonts"; //
@import "_form"; // form related UI.
@import "_mixins"; //
@import "_flex"; //

*{
  // background: red !important;
}

.app-header{
  width: 60px;
  flex-shrink: 0;
  align-items: center;
  display: flex;
  .toolbar{
    background-color: $primary-color;
    padding: 24px 0;
    flex-direction: column;
    width: 60px;
    display: flex;
    justify-content: space-between;
    height: 100%;
    z-index: 4;
    .app-logo-icon{
      border-bottom: none;
      margin-bottom: 0;
      position: relative;
      width: 24px;
      height: 24px;
      background-color: #fff;
      border-radius: 4px;
      @include medium-font;
      color: #2C3897;
      margin: 0 auto;
      text-align: center;
      margin-bottom: 26px;
      span{
        position: relative;
        top: 2px;
        left: -1px;
      }
      &:after{
        left: 0;
        right: 0;
        bottom: 0px;
        height: 3px;
        background: #ff6063;
        content: '';
        position: absolute;
        border-bottom-left-radius: 3px;
        border-bottom-right-radius: 3px;
      }
    }
    .main-top-menu{
      text-align: center;
      color: #fff; 
      .icon-menu {       
        cursor: pointer;
        border-radius: 4px;
        padding: 0;
        font-size: 23px;
        height: 32px;
        width: 32px;
        display: block;
        margin: 0 auto;
        margin-bottom: 5px;
        &:hover{
            background-color: #144998;
        }
        i{
          font-size: 20px;
          line-height: 1;
          &.icon-hamburger{
            position: relative;
            top: 2px;
          }
          &.icon-plus{
            position: relative;
            top: 1px;
            font-size: 18px;
          }
        }
    }
    }
    .main-bottom-menu{
      .author-pic-holder{
        position: relative;
        top: 2px;
        button{
          margin: 0 auto;
          display: block;
          .user-pic{
            width: 34px;
            height: 34px;
            border-radius: 50%;
            display: block;
            // border: solid 1px #828282;
            background: #fff;
            margin: 0 auto;

            background-image: url('./assets/images/avatar.png');
            background-repeat: no-repeat;
            background-size: cover;
            background-position: right top;
          }
        }
      }     
    }
   
  }
  .primary-nav-container{
    .app-primary-nav{
      background-color: $primary-color;    
    }
    &.actions{

      .app-primary-nav{
        &.active{
          background-color: $white; 
          width: 420px;
          padding: 20px;
          h3{
            display: flex;
            align-items: center;
            padding: 0px;
            padding-bottom: 10px;
            border-bottom: solid 1px #f2f2f2;
            margin-bottom: 10px;
            font-weight: normal;
            color: #42526e;
            i{
              margin-right: 0;
              font-size: 18px;
              cursor: pointer;
              position: relative;
              top: 3px;
            
            }
          }
        }
       
       
        .toolbar{
          background-color: $white; 
        }   
        .list{
          padding: 0px;
          padding-left: 14px !important;
          padding-right: 14px !important;
        }
      }
    }
  }
 
  
}
